{generate_api_header(/mark_all_as_read:post)}

## Usage examples

{start_tabs}

{generate_code_example(python)|/mark_all_as_read:post|example}

{generate_code_example(javascript)|/mark_all_as_read:post|example}

{tab|curl}

{generate_code_example(curl)|/mark_all_as_read:post|example}

{end_tabs}

## Parameters

{generate_api_arguments_table|zulip.yaml|/mark_all_as_read:post}

{generate_parameter_description(/mark_all_as_read:post)}

## Response

{generate_response_description(/mark_all_as_read:post)}

#### Example response(s)

{generate_code_example|/mark_all_as_read:post|fixture}

{generate_api_header(/mark_stream_as_read:post)}

## Usage examples

{start_tabs}

{generate_code_example(python)|/mark_stream_as_read:post|example}

{generate_code_example(javascript)|/mark_all_as_read:post|example}

{tab|curl}

{generate_code_example(curl)|/mark_stream_as_read:post|example}

{end_tabs}

## Parameters

{generate_api_arguments_table|zulip.yaml|/mark_stream_as_read:post}

{generate_parameter_description(/mark_all_as_read:post)}

## Response

{generate_response_description(/mark_all_as_read:post)}

#### Example response(s)

{generate_code_example|/mark_stream_as_read:post|fixture}

{generate_api_header(/mark_topic_as_read:post)}

## Usage examples

{start_tabs}

{generate_code_example(python)|/mark_topic_as_read:post|example}

{generate_code_example(javascript)|/mark_all_as_read:post|example}

{tab|curl}

{generate_code_example(curl)|/mark_topic_as_read:post|example}

{end_tabs}

## Parameters

{generate_api_arguments_table|zulip.yaml|/mark_topic_as_read:post}

{generate_parameter_description(/mark_all_as_read:post)}

## Response

{generate_response_description(/mark_all_as_read:post)}

#### Example response(s)

{generate_code_example|/mark_topic_as_read:post|fixture}
